Bug 1325452 - Review Request: python-multi_key_dict - Multi-key dictionary implementation in Python
Summary: Review Request: python-multi_key_dict - Multi-key dictionary implementation i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1267414
TreeView+ depends on / blocked
 
Reported: 2016-04-08 20:54 UTC by Scott K Logan
Modified: 2016-05-24 05:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-23 20:07:59 UTC
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Scott K Logan 2016-04-08 20:54:34 UTC
Spec URL: https://cottsay.fedorapeople.org/python-multi_key_dict/python-multi_key_dict.spec

SRPM URL: https://cottsay.fedorapeople.org/python-multi_key_dict/python-multi_key_dict-2.0.3-1.fc25.src.rpm

Fedora Account System Username: cottsay

Rawhide Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13598313

Description:
Implementation of a multi-key dictionary, i.e.:

(key1[,key2, ..]) => value

This dictionary has a similar interface to the standard dictionary => but
is extended to support multiple keys referring to the same element.

rpmlint output:
python-multi_key_dict.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python-multi_key_dict.src: W: spelling-error %description -l en_US multi -> mulch, mufti
python2-multi_key_dict.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python2-multi_key_dict.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
python3-multi_key_dict.noarch: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
python3-multi_key_dict.noarch: W: spelling-error %description -l en_US multi -> mulch, mufti
3 packages and 1 specfiles checked; 0 errors, 6 warnings.

Thanks!

--scott

Comment 1 William Moreno 2016-04-19 19:35:30 UTC
Package Review
==============

[!]: License file installed when any subpackage combination is installed.

Ask upstream to include the license text in the git repo and in the tarball, sorry but this is a MUST in current packagin guidelines.



===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-multi_key_dict-2.0.3-1.fc23.noarch.rpm
          python3-multi_key_dict-2.0.3-1.fc23.noarch.rpm
          python-multi_key_dict-2.0.3-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
python2-multi_key_dict (rpmlib, GLIBC filtered):
    python(abi)

python3-multi_key_dict (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python2-multi_key_dict:
    python-multi_key_dict
    python2-multi_key_dict

python3-multi_key_dict:
    python3-multi_key_dict

Source checksums
----------------
https://pypi.python.org/packages/source/m/multi_key_dict/multi_key_dict-2.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : deebdec17aa30a1c432cb3f437e81f8621e1c0542a0c0617a74f71e232e9939e
  CHECKSUM(SHA256) upstream package : deebdec17aa30a1c432cb3f437e81f8621e1c0542a0c0617a74f71e232e9939e

Comment 2 Scott K Logan 2016-04-19 21:54:50 UTC
Thank you, William!

Per Fedora packaging guidelines [1], I have opened a pull request encouraging upstream to add a LICENSE file [2].

Please let me know if there is anything else I can do!

Thanks,

--scott

[1] https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
[2] https://github.com/formiaczek/multi_key_dict/pull/15

Comment 3 Scott K Logan 2016-04-21 04:21:28 UTC
Upstream added a LICENSE, and I updated the RPM to use GitHub instead of Pypi for the content.

Spec URL: https://cottsay.fedorapeople.org/python-multi_key_dict/python-multi_key_dict.spec

SRPM URL: https://cottsay.fedorapeople.org/python-multi_key_dict/python-multi_key_dict-2.0.3-1.fc25.src.rpm

Rawhide scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13740880

Thanks,

--scott

Comment 4 William Moreno 2016-04-29 22:56:50 UTC
Looks good, aproved.

Comment 5 Gwyn Ciesla 2016-05-02 12:50:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-multi_key_dict

Comment 6 Scott K Logan 2016-05-06 04:01:50 UTC
Thanks, William!

Builds are successful, submitting updates...

--scott

Comment 7 Fedora Update System 2016-05-06 04:02:50 UTC
python-multi_key_dict-2.0.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91b1ad071d

Comment 8 Fedora Update System 2016-05-06 04:02:57 UTC
python-multi_key_dict-2.0.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d108d9eb9e

Comment 9 Fedora Update System 2016-05-06 04:03:02 UTC
python-multi_key_dict-2.0.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c5a770a45

Comment 10 Fedora Update System 2016-05-06 04:03:06 UTC
python-multi_key_dict-2.0.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f322446aed

Comment 11 Fedora Update System 2016-05-06 04:03:11 UTC
python-multi_key_dict-2.0.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ead28b29c4

Comment 12 Fedora Update System 2016-05-06 11:26:24 UTC
python-multi_key_dict-2.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d108d9eb9e

Comment 13 Fedora Update System 2016-05-06 20:51:39 UTC
python-multi_key_dict-2.0.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c5a770a45

Comment 14 Fedora Update System 2016-05-06 20:54:47 UTC
python-multi_key_dict-2.0.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91b1ad071d

Comment 15 Fedora Update System 2016-05-07 00:21:44 UTC
python-multi_key_dict-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ead28b29c4

Comment 16 Fedora Update System 2016-05-07 00:30:32 UTC
python-multi_key_dict-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f322446aed

Comment 17 Fedora Update System 2016-05-23 20:07:56 UTC
python-multi_key_dict-2.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-05-23 22:48:04 UTC
python-multi_key_dict-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-24 01:22:12 UTC
python-multi_key_dict-2.0.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-24 01:25:32 UTC
python-multi_key_dict-2.0.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-24 05:48:34 UTC
python-multi_key_dict-2.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.